<%@ Register TagPrefix="telerik" TagName="Footer" Src="~/Common/Footer.ascx" %>
<%@ Register TagPrefix="telerik" TagName="HeadTag" Src="~/Common/HeadTag.ascx" %>
<%@ Register TagPrefix="telerik" TagName="Header" Src="~/Common/Header.ascx" %>
<%@ Register TagPrefix="telerik" Namespace="Telerik.Web.UI" Assembly="Telerik.Web.UI" %>
<%@ Register TagPrefix="sds" Namespace="Telerik.Web.SessionDS" %>

<%@ Page Language="c#" CodeFile="Default2.aspx.cs" Inherits="Telerik.Web.Examples.Grid.Integration.GridEditors.DefaultCS" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html xml:lang="en-US" xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <telerik:HeadTag ID="Headtag1" runat="server"></telerik:HeadTag>
    <style type="text/css">
    .radeditor{height:auto !important;}
    </style>
</head>
<body class="BODY">
    <form id="mainForm" style="width: 100%" method="post" runat="server">
        <!-- content start -->
        <telerik:Header ID="Header1" runat="server" XhtmlCompliant="false" NavigationLanguage="CS" />
        <asp:ScriptManager ID="ScriptManager" runat="server" />
        <telerik:RadAjaxManager ID="RadAjaxManager1" runat="server">
            <AjaxSettings>
                <telerik:AjaxSetting AjaxControlID="RadGrid1">
                    <UpdatedControls>
                        <telerik:AjaxUpdatedControl ControlID="RadGrid1" LoadingPanelID="RadAjaxLoadingPanel1" />
                    </UpdatedControls>
                </telerik:AjaxSetting>
            </AjaxSettings>
        </telerik:RadAjaxManager>
        <telerik:RadAjaxLoadingPanel ID="RadAjaxLoadingPanel1" runat="server" Height="75px"
            Width="75px" Transparency="20">
            <img alt="Loading..." src='<%= RadAjaxLoadingPanel.GetWebResourceUrl(Page, "Telerik.Web.UI.Skins.Default.Ajax.loading.gif") %>'
                style="border: 0;" />
        </telerik:RadAjaxLoadingPanel>
        <telerik:GridNumericColumnEditor ID="GridNumericColumnEditor1" runat="server">
            <NumericTextBox MaxLength="4" EmptyMessage="Ext.">
            </NumericTextBox>
        </telerik:GridNumericColumnEditor>
        <telerik:RadGrid DataSourceID="SessionDataSource1" Skin="Vista" AllowAutomaticDeletes="true"
            AllowAutomaticInserts="true" AllowAutomaticUpdates="true" ID="RadGrid1" runat="server"
            OnItemCreated="RadGrid1_ItemCreated">
            <MasterTableView DataKeyNames="EmployeeID" Width="100%" CommandItemDisplay="Top"
                AutoGenerateColumns="false">
                <EditFormSettings>
                    <EditColumn ButtonType="ImageButton">
                    </EditColumn>
                </EditFormSettings>
                <Columns>
                    <telerik:GridEditCommandColumn UniqueName="EditCommandColumn" ButtonType="ImageButton">
                        <ItemStyle Width="50px" />
                    </telerik:GridEditCommandColumn>
                    <telerik:GridHTMLEditorColumn UniqueName="Notes" SortExpression="Notes" HeaderText="Notes"
                        DataField="Notes">
                    </telerik:GridHTMLEditorColumn>
                    <telerik:GridDropDownColumn DataSourceID="XmlDataSource1" ListTextField="Text" ListValueField="Value"
                        UniqueName="TitleOfCourtesy" SortExpression="TitleOfCourtesy" HeaderText="Title"
                        DropDownControlType="RadComboBox" DataField="TitleOfCourtesy">
                    </telerik:GridDropDownColumn>
                    <telerik:GridDropDownColumn DataSourceID="XmlDataSource2" ListTextField="Text" ListValueField="Value"
                        UniqueName="City" SortExpression="City" HeaderText="City" DataField="City" DropDownControlType="RadComboBox">
                    </telerik:GridDropDownColumn>
                    <telerik:GridMaskedColumn Mask="(###) ###-####" UniqueName="HomePhone" SortExpression="HomePhone"
                        HeaderText="HomePhone" DataField="HomePhone">
                        <ItemStyle Width="100px" />
                    </telerik:GridMaskedColumn>
                    <telerik:GridNumericColumn UniqueName="Extension" SortExpression="Extension" HeaderText="Extension"
                        DataField="Extension" ColumnEditorID="GridNumericColumnEditor1">
                    </telerik:GridNumericColumn>
                    <telerik:GridDateTimeColumn UniqueName="HireDate" PickerType="DateTimePicker" HeaderText="HireDate"
                        DataField="HireDate">
                        <ItemStyle Width="120px" />
                    </telerik:GridDateTimeColumn>
                </Columns>
            </MasterTableView>
        </telerik:RadGrid>
        <!-- content end -->
        <sds:SessionDataSource ID="SessionDataSource1" UpdateCommand="update Employees set Notes=@Notes, TitleOfCourtesy=@TitleOfCourtesy, City=@City, HomePhone=@HomePhone, Extension=@Extension, HireDate=@HireDate where EmployeeID=@EmployeeID"
            SelectCommand="SELECT top 3 * FROM Employees" InsertCommand="insert into Employees (Notes, TitleOfCourtesy, City, HomePhone, Extension, HireDate) values(@Notes, @TitleOfCourtesy, @City, @HomePhone, @Extension, @HireDate)"
            runat="server" PrimaryKeyFields="EmployeeID" DisplayWarning="False" ConnectionString="<%$ ConnectionStrings:NorthwindConnectionString %>"
            ClearSessionOnInitialLoad="True" SessionKey="System.Web.UI.Page_DataSource3">
        </sds:SessionDataSource>
        <asp:XmlDataSource ID="XmlDataSource1" runat="server">
            <Data>
                <Items>
                      <Item Value="Ms" Text="Ms."/>
                      <Item Value="Dr" Text="Dr."/>
                      <Item Value="Mrs" Text="Mrs."/>
                      <Item Value="Mr" Text="Mr."/>
                </Items>
            </Data>
        </asp:XmlDataSource>
        <asp:XmlDataSource ID="XmlDataSource2" runat="server">
            <Data>
                <Items>
                      <Item Value="Seattle" Text="Seattle"/>
                      <Item Value="Tacoma" Text="Tacoma"/>
                      <Item Value="Redmond" Text="Redmond"/>
                      <Item Value="London" Text="London"/>
                      <Item Value="Sofia" Text="Sofia"/>
                </Items>
            </Data>
        </asp:XmlDataSource>
        <telerik:Footer runat="server" ID="Footer1"></telerik:Footer>

        <script type="text/javascript">          
         function saveEditorContent(editorID)
         {
            alert(editorID);
            var editor = $find(editorID);
            editor.set_html(editor.get_html(true));
         }          
        </script>

    </form>
</body>
</html>
